Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.rssoutput
Class RssOutputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.rssoutput.RssOutputData

All Implemented Interfaces:
  StepDataInterface

    public class RssOutputData

extends BaseStepData
implements StepDataInterface

Since:
  4-Nov-2007
Author:
  Samatar

Field Summary
`org.dom4j.Element` | `channel`
`String` | `channelauthorvalue`
`String` | `channelcopyrightvalue`
`String` | `channeldescriptionvalue`
`String` | `channelimagedescriptionvalue`
`String` | `channelimagelinkvalue`
`String` | `channelimagetitlevalue`
`String` | `channelimageurlvalue`
`String` | `channellanguagevalue`
`String` | `channellinkvalue`
`Date` | `channelpubdatevalue`
`String` | `channeltitlevalue`
`int[]` | `customchannels`
`int[]` | `customitems`
`org.dom4j.Document` | `document`
`String` | `filename`
`int` | `indexOfFieldchannelauthor`
`int` | `indexOfFieldchannelcopyright`
`int` | `indexOfFieldchanneldescription`
`int` | `indexOfFieldchannelimagedescription`
`int` | `indexOfFieldchannelimagelink`
`int` | `indexOfFieldchannelimagetitle`
`int` | `indexOfFieldchannelimageurl`
`int` | `indexOfFieldchannellanguage`
`int` | `indexOfFieldchannellink`
`int` | `indexOfFieldchannelpubdate`
`int` | `indexOfFieldchanneltitle`
`int` | `indexOfFieldfilename`
`int` | `indexOfFielditemauthor`
`int` | `indexOfFielditemdescription`
`int` | `indexOfFielditemlink`
`int` | `indexOfFielditempointx`
`int` | `indexOfFielditempointy`
`int` | `indexOfFielditempubdate`
`int` | `indexOfFielditemtitle`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`org.dom4j.Element` | `itemtag`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`org.dom4j.Element` | `rssElement`
`int[]` | `valuecustomchannels`
`int[]` | `valuecustomItems`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`RssOutputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### indexOfFieldchanneltitle

    public int indexOfFieldchanneltitle

### indexOfFieldchanneldescription

    public int indexOfFieldchanneldescription

### indexOfFieldchannellink

    public int indexOfFieldchannellink

### indexOfFielditemtitle

    public int indexOfFielditemtitle

### indexOfFielditemdescription

    public int indexOfFielditemdescription

### indexOfFieldchannelpubdate

    public int indexOfFieldchannelpubdate

### indexOfFieldchannellanguage

    public int indexOfFieldchannellanguage

### indexOfFieldchannelcopyright

    public int indexOfFieldchannelcopyright

### indexOfFieldchannelauthor

    public int indexOfFieldchannelauthor

### indexOfFieldchannelimagetitle

    public int indexOfFieldchannelimagetitle

### indexOfFieldchannelimagelink

    public int indexOfFieldchannelimagelink

### indexOfFieldchannelimageurl

    public int indexOfFieldchannelimageurl

### indexOfFieldchannelimagedescription

    public int indexOfFieldchannelimagedescription

### indexOfFielditemlink

    public int indexOfFielditemlink

### indexOfFielditempubdate

    public int indexOfFielditempubdate

### indexOfFielditemauthor

    public int indexOfFielditemauthor

### indexOfFielditempointx

    public int indexOfFielditempointx

### indexOfFielditempointy

    public int indexOfFielditempointy

### channeltitlevalue

    public String channeltitlevalue

### channeldescriptionvalue

    public String channeldescriptionvalue

### channellinkvalue

    public String channellinkvalue

### channelpubdatevalue

    public Date channelpubdatevalue

### channellanguagevalue

    public String channellanguagevalue

### channelcopyrightvalue

    public String channelcopyrightvalue

### channelauthorvalue

    public String channelauthorvalue

### channelimagetitlevalue

    public String channelimagetitlevalue

### channelimagelinkvalue

    public String channelimagelinkvalue

### channelimageurlvalue

    public String channelimageurlvalue

### channelimagedescriptionvalue

    public String channelimagedescriptionvalue

### filename

    public String filename

### indexOfFieldfilename

    public int indexOfFieldfilename

### customchannels

    public int[] customchannels

### customitems

    public int[] customitems

### valuecustomchannels

    public int[] valuecustomchannels

### valuecustomItems

    public int[] valuecustomItems

### document

    public org.dom4j.Document document

### rssElement

    public org.dom4j.Element rssElement

### channel

    public org.dom4j.Element channel

### itemtag

    public org.dom4j.Element itemtag

Constructor Detail

### RssOutputData

    public RssOutputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD